function [omega] = omega(th, ph, alp, xp, yp, th1, ph1, alp1, xp1, yp1)
% Returns [gamma1 beta1 alp1]'

global dth dph dalp dxp dyp

vcm = Vc(th, ph, alp, xp, yp, th1, ph1, alp1, xp1, yp1);
rr = r(th, ph);

beta = bta(th, ph);
VcyPrime = vcm(1)*sin(alp) + vcm(2)*cos(alp);

beta1 = ((bta(th+dth, ph) - beta)/dth)*th1 + ((bta(th, ph+dph) - beta)/dph)*ph1;
gamma1 = (alp1*rr*sin(beta) - VcyPrime) / (rr*cos(beta));

omegat(1) = gamma1;
omegat(2) = beta1;
omegat(3) = alp1;

omega = omegat';
