function Solve

%coord0 = [pi/2 0 0 0 0 0 .01 0];
coord0 = [pi/2 0 pi 0 0 0 .1 .1];
tmax = 1;
dt = .05;

LastBeta = 0;
LastTheta = pi/2;

coord = coord0;
for t = dt:dt:tmax,
    ts(t / dt) = t;
    for n=1:8,
        coords(t / dt,n) = coord(n);
    end
    dcoord = derivative(coord) * dt;
    coord = coord + dcoord;
end
ts(:),
coords(:,5),


plot(ts(:), real(coords(:,3)));

% Trajectory on X0 Y0 plane
%plot(real(coords(:,4)), real(coords(:,5)));
axis([0 1 0 5]);

